<?php

//Clase de Paises
class clase1
{
  	var $nom_tabla = 'dvredocl';
  	var  $n_reg = '0';
	var  $codigo = '0';
	var  $tip_mov = '0';
	var  $fec_doc = '0';
	var  $num_doc = '0';
	var  $cve_mto = '0';
	var  $sub_tot = '0';
	var  $iva_tot = '0';
	var  $total = '0';
	var  $cve_iva = '0';
	var  $ret1 = '0';
	var  $ret1_po = '0';
	var  $ret1_im = '0';
	var  $ret2 = '0';
	var  $ret2_po = '0';
	var  $ret2_im = '0';
	var  $tot_doc = '0';
	var  $tot_pag = '0';
	var  $tot_not = '0';
	var  $tot_car = '0';
	var  $tot_abo = '0';
	var  $tot_sal = '0';
	var  $moneda = '0';
	var  $cve_pai = '0';
	var  $tip_cam = '0';
	var  $dia_cre = '0';
	var  $con_cre = '0';
	var  $tip_mot = '0';
	var  $fec_ven = '0';
	var  $des = '0';
	//Funcion de Revisar
	function revisar1(){
		$sql = "SELECT * FROM $this->nom_tabla WHERE num_doc = '$this->num_doc' and codigo = '$this->codigo'";
		$result = mysqli_query($GLOBALS['con'] ,$sql);
		$num_salidas=mysqli_num_rows($result); 
		if($num_salidas>=1){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
	//Funcion de Agregar
	function agregar1(){
		$sql2 = "insert into $this->nom_tabla (codigo, tip_mov, fec_doc, num_doc, cve_mto, sub_tot, iva_tot, total, cve_iva, ret1, ret1_po, ret1_im, ret2, ret2_po, ret2_im, tot_doc, tot_pag, tot_not, tot_car, tot_abo, tot_sal, moneda, cve_pai, tip_cam, dia_cre, con_cre, tip_mot, fec_ven, des,acc_fec, acc_hor, usuario) values ('$this->codigo', '$this->tip_mov', '$this->fec_doc', '$this->num_doc', '$this->cve_mto','$this->sub_tot', '$this->iva_tot', '$this->total', '$this->cve_iva','$this->ret1', '$this->ret1_po', '$this->ret1_im', '$this->ret2','$this->ret2_po', '$this->ret2_im', '$this->tot_doc', '$this->tot_pag','$this->tot_not', '$this->tot_car', '$this->tot_abo', '$this->tot_sal','$this->moneda', '$this->cve_pai', '$this->tip_cam', '$this->dia_cre','$this->con_cre', '$this->tip_mot', '$this->fec_ven','$this->des', '".date('Y-m-d')."', '".date('H:i:s')."','".$_SESSION['num_usu']."')";
		//echo "agregar<br>";
		//exit();
	   	$resulty = mysqli_query($GLOBALS['con'] ,$sql2);
		if ($resulty){
			return $resulty;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "error";  
		}
	}
	
//Funcion de Lista Completa
	function lista_completa1(){
		$sql= "SELECT * FROM $this->nom_tabla";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista con Busqueda
	function lista_busqueda1($n_reg){
		$sql= "SELECT * FROM $this->nom_tabla WHERE n_reg = '$n_reg'";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";   
		}
	}
//Funcion de Modificar
	function modificar1($n_reg){
		$sql = "UPDATE $this->nom_tabla SET cve_cencos = '$this->cve_cencos', des_cencos = '$this->des_cencos', cta_con = '$this->cta_con', afe_cen = '$this->afe_cen' WHERE n_reg='$n_reg'"; 
		$result= mysqli_query($GLOBALS['con'] ,$sql);
		if($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}
	}
//Funcion de eliminar
	function eliminar1($n_reg){   
		$sql = "DELETE FROM $this->nom_tabla WHERE n_reg = '$n_reg'";
		$resultado = mysqli_query($GLOBALS['con'] ,$sql);
		if($resultado){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}           
	}   
}       
?>